# module RubyVM::MJIT

### Public Class Methods

enabled?() click to toggle source

Return true if `MJIT` is enabled.

    # File mjit.rb, line 3
    def self.enabled?
      Primitive.cexpr! 'RBOOL(mjit_enabled)'
    end

pause(wait: true) click to toggle source

Stop generating JITed code.

    # File mjit.rb, line 8
    def self.pause(wait: true)
      Primitive.cexpr! 'mjit_pause(RTEST(wait))'
    end

resume() click to toggle source

Start generating JITed code again after pause.

    # File mjit.rb, line 13
    def self.resume
      Primitive.cexpr! 'mjit_resume()'
    end